import 'package:cresce_ui/cresce_ui.dart';
import 'package:flutter/material.dart';

class ButtonState {
  final TextStyle labelStyle;
  final Color backgroundColor;
  final Color borderColor;

  ButtonState({
    required this.labelStyle,
    required this.backgroundColor,
    required this.borderColor,
  });
}

class UntappedButtonState extends ButtonState {
  UntappedButtonState()
      : super(
          labelStyle: CTextStyles.fieldPrimary,
          backgroundColor: CColors.secondary,
          borderColor: CColors.primary,
        );
}

class TappedButtonState extends ButtonState {
  TappedButtonState()
      : super(
          labelStyle: CTextStyles.fieldSecondary,
          backgroundColor: CColors.primary,
          borderColor: CColors.primary,
        );
}

class UntappedAlertButtonState extends ButtonState {
  UntappedAlertButtonState()
      : super(
          labelStyle: CTextStyles.fieldAlert,
          backgroundColor: CColors.secondary,
          borderColor: CColors.alert,
        );
}

class TappedAlertButtonState extends ButtonState {
  TappedAlertButtonState()
      : super(
          labelStyle: CTextStyles.fieldSecondary,
          backgroundColor: CColors.alert,
          borderColor: CColors.alert,
        );
}
