part of cresce_ui;

class CInputMoney extends StatelessWidget {
  final String label;
  final String Function(double value)? formatDate;
  final void Function(double value)? onChanged;
  final Locale? locale;

  const CInputMoney({
    Key? key,
    required this.label,
    this.formatDate,
    this.onChanged,
    this.locale,
  }) : super(key: key);

  @override
  Widget build(BuildContext context) {
    return CInputText(
      label: label,
      keyboardType: TextInputType.number,
      inputFormatters: [
        CurrencyTextInputFormatter(locale: locale?.toString()),
      ],
      onChanged: (value) {
        String newText = value.replaceAll(RegExp('[^0-9]'), '');
        var number = int.parse(newText) / 100;
        onChanged?.call(number);
      },
    );
  }
}
